Package org.linphone.core

# Enum Class MediaEncryptionStatus

java.lang.Object
java.lang.Enum<MediaEncryptionStatus>
org.linphone.core.MediaEncryptionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaEncryptionStatus>`, `Constable`

public enum MediaEncryptionStatus extends Enum<MediaEncryptionStatus>
Enum describing the status of media encryption types.
Do not re-order or change the assigned values

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Active`
specific to ZRTP: encryption succesfully negotiated but the SAS verification is
needed
media is encrypted
`Failed`
`Inactive`
media encryption handshake or negotiation failed
No media encryption
`InProgress`
media encryption is negotiated, handshake is in progress
`ZrtpSASCheckRequested`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static MediaEncryptionStatus`
`fromInt(int value)`
`protected static MediaEncryptionStatus[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(MediaEncryptionStatus[] values)`
`static MediaEncryptionStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaEncryptionStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Failed

public static final MediaEncryptionStatus Failed

### Inactive

public static final MediaEncryptionStatus Inactive
media encryption handshake or negotiation failed
No media encryption

### InProgress

public static final MediaEncryptionStatus InProgress
media encryption is negotiated, handshake is in progress

### ZrtpSASCheckRequested

public static final MediaEncryptionStatus ZrtpSASCheckRequested

### Active

public static final MediaEncryptionStatus Active
specific to ZRTP: encryption succesfully negotiated but the SAS verification is
needed
media is encrypted

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static MediaEncryptionStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MediaEncryptionStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static MediaEncryptionStatus fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static MediaEncryptionStatus[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(MediaEncryptionStatus[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()